#!/usr/bin/env ruby

require 'uber/inheritable_attr'

class Song
  extend Uber::InheritableAttr

  inheritable_attr :properties
  self.properties = [:title, :track] # initialize it before using it.
end

Song.properties #=> [:title, :track]

class Hit < Song
end

Hit.properties #=> [:title, :track]
